body {
  display: flex;
  flex-direction: column;
  margin: 0;
  background-image: url('./../image/bg.png');
  background-repeat: no-repeat;
  background-size: 100% 100%;
  background-position: center;
  background-attachment: fixed;
  height: 100vh;
  font-family: 'Microsoft YaHei', Arial, sans-serif;
}

#progress-container {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 80%;
  height: 30px;
  background-color: rgba(255, 255, 255, 0.8);
  border-radius: 15px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
  display: none;
  z-index: 99;
}

#progress-bar {
  height: 100%;
  width: 0;
  #background-color: #4caf50;
  #background: linear-gradient(45deg, #00ffcc, #4caf50);
  background-image: url('./../image/huabian.png');
  background-color: rgba(93,51,7,.3);
  background-size: auto 100%;
  background-repeat: repeat-x;
  border-radius: 15px;
  z-index: 99;
  transition: width 0.2s;
}

#loading-text {
  position: absolute;
  width: 100%;
  text-align: center;
  top: 0;
  line-height: 30px;
  font-weight: bold;
  font-size: 1.2rem;
  color: #FFF;
}

.hotspot {
  display: block;
  width: 85px;
  height: 30px;
  border-radius: 10px;
  border: none;
  background-color: rgb(76, 63, 255);
  box-sizing: border-box;
  pointer-events: auto; /* 允許互動 */
  position: relative; /* 使熱點內部元素能夠相對定位 */
}


.annotation {
  border: 1px solid #5D3307;
  color: #5D3307;
  width: 20vw;
  background-color: #FFF3D6;
  position: absolute;
  transform: translate(10px, 10px);
  border-radius: 10px;
  padding: 10px;
  display: none; /* 初始隱藏 */
  text-align: left; /* 文本左對齊 */
  z-index: 9999999999;
  font-size: 1rem;
}

.hotspot-text {
  color: white; /* 熱點上的文字顏色 */
  font-size: 12px; /* 熱點上的文字大小 */
  pointer-events: none; /* 使文字不干擾其他事件 */
}

:not(:defined) > * {
  display: none;
}

.reference {
  color: #806952;
  font-size: .8rem;
}

/** 以下的新写的样式 **/
html {
  font-size: 16px;
}

/* 超小平面 */
@media (max-width: 799px) {
  html {
    font-size: 10px;
  }
}

/* 小屏幕 */
@media (min-width: 800px) and (max-width: 1439px) {
  html {
    font-size: 12px;
  }
}

/* 中等屏幕 */
@media (min-width: 1440px) and (max-width: 1919px) {
  html {
    font-size: 14px;
  }
}

/* 大屏幕 */
@media (min-width: 1920px) {
  html {
    font-size: 16px;
  }
}

@font-face {
  font-family:'zcoolqingkehuangyouti-Regular'; /* 声明字体名称 */
  src:
    url('./../fonts/zcoolqingkehuangyouti-Regular.eot'),
    url('./../fonts/zcoolqingkehuangyouti-Regular.eot?#iefix') format('embedded-opentype'),
    url('./../fonts/zcoolqingkehuangyouti-Regular.woff2') format('woff2'),
    url('./../fonts/zcoolqingkehuangyouti-Regular.woff') format('woff'),
    url("./../fonts/zcoolqingkehuangyouti.ttf") format('truetype'),
    url('./../fonts/zcoolqingkehuangyouti-Regular.svg#zcoolqingkehuangyouti-Regular') format('svg');
  font-weight:normal;
  font-style:normal
}
/**横屏样式**/
.landscape{
  #header {
    display: flex;
    justify-content: space-between;
    padding: 2vh 5vw;
    color: #5D3307;
    font-family: "Microsoft YaHei-Regular";
    font-size: 1rem;
  }

  #visit-count {
    #count{
      color: #FFF;
    }
  }
  @media (min-width: 1920px) {
    #banner {
      display: flex;
      justify-content: space-between;
      padding: 0 2.5vw 0 5vw ;
      #banner-title {
        display: flex;
        padding-top: 1vh;
        #banner-title-left {
          color: #5D3307;
          padding-top: 1vh;
          font-size: 2.5rem;
          font-family: "zcoolqingkehuangyouti-Regular";
        }
        #banner-title-dot {
          color: #5D3307;
          line-height: 3.5rem;
          font-size: 1.5rem;
          margin: 0 0.5rem;
        }
        #banner-title-right {
          line-height: 3.5rem;
          color: #FFFAEF;
          font-size: 2rem;
        }
      }
      #banner-tabs {
        display: flex;
        cursor: pointer;
        margin-left: 0.5vw;
        .banner-tab {
          color: #FFF;
          line-height: 4.8rem;
          font-size: 1rem;
          margin-right: 2vw;
        }
      }
      #banner-logo {
        display: flex;
        cursor: pointer;
        #banner-logo-university {
          padding-top: 1.5vh;
          height: 5vh;
        }
        #banner-logo-faculty {
          padding-top: 1.5vh;
          height: 5vh;
        }
      }
    }
    #operation-instructions{
      cursor: pointer;
      position: absolute;
      top: 15vh;
      right: 7vw;
      z-index: 100;
      text-align: center;
      div {
        color: #5D3307;
        line-height: 3vh;
      }
    }
    #model-container {
      width: 90vw;
      height: 65vh;
      margin: 0 5vw;
      background: #FFF3D6;
      border-radius: 0.8rem;
      z-index: 7;
      #model-viewer {
        width: 90vw;
        height: 65vh;
        background: #FFF3D6;
        border-radius: .8rem;
        text-align: center;
        video {
          width: 90%;
          height: 90%;
          margin-left: 5%;
          margin-top: 2%;
        }
      }
      #about-this-website{
        padding: 5vh 10vw;
        color: #5D3307;
        .title {
          font-size: 1.5rem;
          font-weight: 600;
        }
        .content {
          margin-top: 3vh;
        }
        .leading {
          line-height: 2.8vh;
        }
        .back-btn{
          cursor: pointer;
          position: absolute;
          border: 1px solid #5D3307;
          color: #5D3307;
          font-size: 1.1rem;
          padding: 0.7rem 1.5rem;
          border-radius: 0.5rem;
          font-weight: 600;
          left: calc(50vw - 4rem);
          top: 65vh;
          background: #F4DFAC;
        }
      }
      #copyright-notice{
        padding: 5vh 10vw;
        color: #5D3307;
        .title {
          font-size: 1.5rem;
          font-weight: 600;
        }
        .content {
          margin-top: 3vh;
        }
        .leading {
          line-height: 2.8vh;
        }
        .back-btn{
          cursor: pointer;
          position: absolute;
          border: 1px solid #5D3307;
          color: #5D3307;
          font-size: 1.1rem;
          padding: 0.7rem 1.5rem;
          border-radius: 0.5rem;
          font-weight: 600;
          left: calc(50vw - 4rem);
          top: 65vh;
          background: #F4DFAC;
        }
      }
      #disclaimer{
        padding: 5vh 10vw;
        color: #5D3307;
        .title {
          font-size: 1.5rem;
          font-weight: 600;
        }
        .content {
          margin-top: 3vh;
        }
        .leading {
          line-height: 2.8vh;
        }
        .back-btn{
          cursor: pointer;
          position: absolute;
          border: 1px solid #5D3307;
          color: #5D3307;
          font-size: 1.1rem;
          padding: 0.7rem 1.5rem;
          border-radius: 0.5rem;
          font-weight: 600;
          left: calc(50vw - 4rem);
          top: 65vh;
          background: #F4DFAC;
        }
      }
      #share-this-website{
        padding: 5vh 10vw;
        color: #5D3307;
        .title {
          font-size: 1.5rem;
          font-weight: 600;
        }
        .share {
          width: 70vw;
          margin-top: 5vh;
          display: flex;
          align-items: center;
          .qrCode {
            padding: 3vh;
            border: 1px solid #CEBD92;
            border-radius: 0.5rem;
            background: rgba(255,255,255,0.5);
            img {
              height: 25vh;
            }
            div {
              text-align: center;
            }
          }
          .share-div {
            height: 20vh;
            display: flex;
            flex-wrap: wrap;
            flex-direction: row;
            align-content: space-around;
            justify-content: flex-start;
            .share-btn {
              cursor: pointer;
              color: #413222;
              float: left;
              margin-left: 4vw;
              height: calc(2vh + 48px);
              width: 20vw;
              border-radius: 0.5rem;
              border: 1px solid #CEBD92;
              background: rgba(255,255,255,0.5);
              img {
                float: left;
                margin-top: 1vh;
                margin-left: 1vw;
              }
              div {
                float: left;
                margin-left: 1vw;
                font-size: 1.2rem;
                margin-top: calc((2vh + 48px)/2 - .7rem);
              }
            }
          }
        }
        .back-btn{
          cursor: pointer;
          position: absolute;
          border: 1px solid #5D3307;
          color: #5D3307;
          font-size: 1.1rem;
          padding: 0.7rem 1.5rem;
          border-radius: 0.5rem;
          font-weight: 600;
          left: calc(50vw - 4rem);
          top: 65vh;
          background: #F4DFAC;
        }
      }
      #contact-us{
        padding: 5vh 10vw;
        color: #5D3307;
        .title {
          font-size: 1.5rem;
          font-weight: 600;
        }
        .content {
          margin-top: 3vh;
          img {
            width: 48% !important;
            float: left;
          }
          .message {
            margin-top: 8vh;display: flex;
            justify-content: flex-start;
            flex-wrap: wrap;
            flex-direction: row;
            height: 24vh;
            align-content: center;
            div {
              margin-left: 2vw;
              width: 30vw;
              line-height: 3rem;
            }
          }
        }
        .back-btn{
          cursor: pointer;
          position: absolute;
          border: 1px solid #5D3307;
          color: #5D3307;
          font-size: 1.1rem;
          padding: 0.7rem 1.5rem;
          border-radius: 0.5rem;
          font-weight: 600;
          left: calc(50vw - 4rem);
          top: 65vh;
          background: #F4DFAC;
        }
      }
      #printed-card{
        padding: 5vh 10vw;
        color: #5D3307;
        .title {
          font-size: 1.5rem;
          font-weight: 600;
        }
        .carousel {
          margin: auto;
          position: relative;
          width: 42vw;
          height: 60vh;
          overflow: hidden;
        }

        .slide {
          display: none;
          width: 100%;
          height: 100%;
          position: relative;
          transform-style: preserve-3d; /* 保留 3D 变换效果 */
          transition: transform 0.6s; /* 动画过渡时间 */
        }

        .slide img {
          height: 55vh;
          object-fit: cover;
          position: absolute;
          backface-visibility: hidden; /* 背面不可见 */
        }

        .slide img.back {
          transform: rotateY(180deg); /* 背面图片初始旋转 180 度 */
          margin-left: 5%;
        }

        .flipped {
          transform: rotateY(180deg); /* 翻转效果 */
        }

        .flip-button {
          position: absolute;
          bottom: calc(50% - 3rem);
          left: 90%;
          transform: translateX(-50%);
          color: white;
          border: none;
          cursor: pointer;
          background: linear-gradient( 89deg, #FFD98F 0%, #BC9F67 100%);
          box-shadow: 0px 0px 4px 0px #BC9F67;
          border-radius: 20px 20px 20px 20px;
          font-weight: 600;
          font-size: 1.2rem;
          color: #000000;
          width: 40px;
          height: 120px;
        }

        .dot-container {
          position: absolute;
          bottom: 10px;
          left: 50%;
          transform: translateX(-50%);
          display: flex;
        }

        .dot {
          width: 15px;
          height: 15px;
          margin: 0 5px;
          background-color: rgba(190,161,109,0.2);
          border-radius: 48%;
          cursor: pointer;
        }

        .active-dot {
          background-color: #BEA16D;
        }
        .back-btn {
          width: 1.2rem;
          cursor: pointer;
          position: absolute;
          border: 1px solid #5D3307;
          color: #5D3307;
          font-size: 1.1rem;
          padding: 0.7rem;
          border-radius: 0.5rem;
          font-weight: 600;
          left: calc(72vw - 3rem);;
          top: 62vh;
          background: #F4DFAC;
        }
      }
    }
    #bottom-links{
      padding: 1vh 5vw;
      height: 12vh;
      display: flex;
      justify-content: center;
      img {
        height: 11vh;
        border-radius: .3rem;
        border: 1px solid #876837;
        margin: 0 1vw;
      }
      .active {
        border-width: 2px;
      }
    }
    #bottom{
      margin: auto;
      text-align: center;
    }
    .maximize{
      height: 83.8vh !important;
      margin: 1.7vh 5vw !important;
    }
    .maximize-child{
      height: 83.8vh !important;
    }
  }


  @media (max-width: 1919px) {
    #banner {
      display: flex;
      justify-content: space-between;
      padding: 0 2.5vw 0 5vw ;
      #banner-title {
        display: flex;
        padding-top: 1vh;
        #banner-title-left {
          padding-top: 0.5vh;
          color: #5D3307;
          font-size: 2rem;
          font-family: "zcoolqingkehuangyouti-Regular";
        }
        #banner-title-dot {
          color: #5D3307;
          line-height: 2.5rem;
          font-size: 1.5rem;
          margin: 0 0.5rem;
        }
        #banner-title-right {
          line-height: 2.9rem;
          color: #FFFAEF;
          font-size: 1.5rem;
        }
      }
      #banner-tabs {
        display: flex;
        margin-left: 1vw;
        cursor: pointer;
        .banner-tab {
          color: #FFF;
          line-height: 4.3rem;
          font-size: 1.2rem;
          margin-right: .8vw;
        }
      }
      #banner-logo {
        display: flex;
        cursor: pointer;
        #banner-logo-university {
          padding-top: 1vh;
          height: 5vh;
        }
        #banner-logo-faculty {
          padding-top: 1vh;
          height: 5vh;
        }
      }
    }
    #operation-instructions{
      cursor: pointer;
      position: absolute;
      top: 13vh;
      right: 7vw;
      z-index: 100;
      font-size: 1.2rem;
      text-align: center;
      div {
        color: #5D3307;
        line-height: 3vh;
      }
    }
    #model-container {
      width: 90vw;
      height: 70vh;
      margin: 0 5vw;
      background: #FFF3D6;
      border-radius: 0.8rem;
      z-index: 7;
      #model-viewer {
        width: 90vw;
        height: 70vh;
        background: #FFF3D6;
        border-radius: .8rem;
        video {
          width: 90%;
          height: 90%;
          margin-left: 5%;
          margin-top: 3%;
        }
      }
      #about-this-website{
        padding: 5vh 10vw;
        color: #5D3307;
        .title {
          font-size: 1.5rem;
          font-weight: 600;
        }
        .content {
          margin-top: 3vh;
        }
        .leading {
          line-height: 2.8vh;
        }
        .back-btn{
          cursor: pointer;
          position: absolute;
          border: 1px solid #5D3307;
          color: #5D3307;
          font-size: 1.1rem;
          padding: 0.7rem 1.5rem;
          border-radius: 0.5rem;
          font-weight: 600;
          left: calc(50vw - 4rem);
          top: 65vh;
          background: #F4DFAC;
        }
      }
      #copyright-notice{
        padding: 5vh 10vw;
        color: #5D3307;
        .title {
          font-size: 1.5rem;
          font-weight: 600;
        }
        .content {
          margin-top: 3vh;
        }
        .leading {
          line-height: 2.8vh;
        }
        .back-btn{
          cursor: pointer;
          position: absolute;
          border: 1px solid #5D3307;
          color: #5D3307;
          font-size: 1.1rem;
          padding: 0.7rem 1.5rem;
          border-radius: 0.5rem;
          font-weight: 600;
          left: calc(50vw - 4rem);
          top: 65vh;
          background: #F4DFAC;
        }
      }
      #disclaimer{
        padding: 5vh 10vw;
        color: #5D3307;
        .title {
          font-size: 1.5rem;
          font-weight: 600;
        }
        .content {
          margin-top: 3vh;
        }
        .leading {
          line-height: 2.8vh;
        }
        .back-btn{
          cursor: pointer;
          position: absolute;
          border: 1px solid #5D3307;
          color: #5D3307;
          font-size: 1.1rem;
          padding: 0.7rem 1.5rem;
          border-radius: 0.5rem;
          font-weight: 600;
          left: calc(50vw - 4rem);
          top: 65vh;
          background: #F4DFAC;
        }
      }
      #share-this-website{
        padding: 5vh 10vw;
        color: #5D3307;
        .title {
          font-size: 1.5rem;
          font-weight: 600;
        }
        .share {
          width: 70vw;
          margin-top: 5vh;
          display: flex;
          align-items: center;
          .qrCode {
            padding: 3vh;
            border: 1px solid #CEBD92;
            border-radius: 0.5rem;
            background: rgba(255,255,255,0.5);
            img {
              height: 25vh;
            }
            div {
              text-align: center;
            }
          }
          .share-div {
            height: 20vh;
            display: flex;
            flex-wrap: wrap;
            flex-direction: row;
            align-content: space-around;
            justify-content: flex-start;
            .share-btn {
              cursor: pointer;
              color: #413222;
              float: left;
              margin-left: 4vw;
              height: calc(2vh + 48px);
              width: 18vw;
              border-radius: 0.5rem;
              border: 1px solid #CEBD92;
              background: rgba(255,255,255,0.5);
              img {
                float: left;
                margin-top: 1vh;
                margin-left: 1vw;
              }
              div {
                float: left;
                margin-left: 1vw;
                font-size: 1.2rem;
                margin-top: calc((2vh + 48px)/2 - .7rem);
              }
            }
          }
        }
        .back-btn{
          cursor: pointer;
          position: absolute;
          border: 1px solid #5D3307;
          color: #5D3307;
          font-size: 1.1rem;
          padding: 0.7rem 1.5rem;
          border-radius: 0.5rem;
          font-weight: 600;
          left: calc(50vw - 4rem);
          top: 65vh;
          background: #F4DFAC;
        }
      }
      #contact-us{
        padding: 5vh 10vw;
        color: #5D3307;
        .title {
          font-size: 1.5rem;
          font-weight: 600;
        }
        .content {
          margin-top: 3vh;
          img {
            width: 48% !important;
            float: left;
          }
          .message {
            margin-top: 8vh;display: flex;
            justify-content: flex-start;
            flex-wrap: wrap;
            flex-direction: row;
            height: 24vh;
            align-content: center;
            div {
              margin-left: 2vw;
              width: 30vw;
              line-height: 3rem;
            }
          }
        }
        .back-btn{
          cursor: pointer;
          position: absolute;
          border: 1px solid #5D3307;
          color: #5D3307;
          font-size: 1.1rem;
          padding: 0.7rem 1.5rem;
          border-radius: 0.5rem;
          font-weight: 600;
          left: calc(50vw - 4rem);
          top: 65vh;
          background: #F4DFAC;
        }
      }
      #printed-card{
        padding: 5vh 10vw;
        color: #5D3307;
        .title {
          font-size: 1.5rem;
          font-weight: 600;
        }
        .carousel {
          margin: auto;
          position: relative;
          width: 58vw;
          height: 64vh;
          overflow: hidden;
        }

        .slide {
          display: none;
          width: 100%;
          height: 100%;
          position: relative;
          transform-style: preserve-3d; /* 保留 3D 变换效果 */
          transition: transform 0.6s; /* 动画过渡时间 */
        }

        .slide img {
          height: 59vh;
          object-fit: cover;
          position: absolute;
          backface-visibility: hidden; /* 背面不可见 */
        }

        .slide img.back {
          transform: rotateY(180deg); /* 背面图片初始旋转 180 度 */
          margin-left: 5%;
        }

        .flipped {
          transform: rotateY(180deg); /* 翻转效果 */
        }

        .flip-button {
          position: absolute;
          bottom: calc(50% - 3rem);
          left: 95%;
          transform: translateX(-50%);
          color: white;
          border: none;
          cursor: pointer;
          background: linear-gradient( 89deg, #FFD98F 0%, #BC9F67 100%);
          box-shadow: 0px 0px 4px 0px #BC9F67;
          border-radius: 20px 20px 20px 20px;
          font-weight: 600;
          font-size: 1.4rem;
          color: #000000;
          width: 40px;
          height: 120px;
        }

        .dot-container {
          position: absolute;
          bottom: 10px;
          left: 50%;
          transform: translateX(-50%);
          display: flex;
        }

        .dot {
          width: 15px;
          height: 15px;
          margin: 0 5px;
          background-color: rgba(190,161,109,0.2);
          border-radius: 48%;
          cursor: pointer;
        }

        .active-dot {
          background-color: #BEA16D;
        }
        .back-btn {
          width: 1.2rem;
          cursor: pointer;
          position: absolute;
          border: 1px solid #5D3307;
          color: #5D3307;
          font-size: 1.1rem;
          padding: 0.7rem;
          border-radius: 0.5rem;
          font-weight: 600;
          left: calc(80vw - 3rem);;
          top: 65vh;
          background: #F4DFAC;
        }
      }
    }
    #bottom-links{
      padding: 0.8vh 5vw;
      height: 10vh;
      display: flex;
      justify-content: center;
      img {
        height: 8.5vh;
        border-radius: .3rem;
        border: 1px solid #876837;
        margin: 0 1vw;
      }
      .active {
        border-width: 2px;
      }
    }
    #bottom{
      margin: auto;
      text-align: center;
    }
    .maximize{
      height: 84.5vh !important;
      margin: 1.7vh 5vw !important;
    }
    .maximize-child{
      height: 84.5vh !important;
    }
  }
}
/**竖屏模式**/
.portrait {
  background-image: url('./../image/portrait-bg.png');
  .annotation {
    border: 1px solid #5D3307;
    color: #5D3307;
    width: 40vw;
    background-color: #FFF3D6;
    position: absolute;
    transform: translate(10px, 10px);
    border-radius: 10px;
    padding: 10px;
    display: none; /* 初始隱藏 */
    text-align: left; /* 文本左對齊 */
    z-index: 9999999999;
    font-size: 1rem;
  }
  #m-header {
    img {
      /*width: 100px;
      height: auto;*/
      margin-top: calc(var(--vh, 1vh) * 2);
    }
    .title {
      margin-top: calc(var(--vh, 1vh) * 1);
      color: #FFF;
      font-size: 48px;
      text-align: center;
      font-family: "zcoolqingkehuangyouti-Regular";
    }
    .sub-title{
      color: #FFF;
      font-size: 18px;
      text-align: center;
    }
  }
  #operation-instructions{
    cursor: pointer;
    position: absolute;
    top: calc(var(--vh, 1vh) * 32);
    right: 7vw;
    z-index: 100;
    font-size: 1.2rem;
    text-align: center;
    div {
      color: #5D3307;
      line-height: calc(var(--vh, 1vh) * 3);
    }
  }
  #model-container {
    width: 90vw;
    height: calc(var(--vh, 1vh) * 55);
    margin: 0 5vw;
    background: #FFF3D6;
    border-radius: 0.8rem;
    z-index: 7;
    #model-viewer {
      width: 90vw;
      height: calc(var(--vh, 1vh) * 55);
      background: #FFF3D6;
      border-radius: .8rem;
      video {
        width: 90%;
        height: 90%;
        margin-left: 5%;
        margin-top: 3%;
      }
    }
    #about-this-website{
      padding: calc(var(--vh, 1vh) * 3) 6vw;
      color: #5D3307;
      .title {
        font-size: 1.5rem;
        font-weight: 600;
      }
      .content {
        font-size: 1.2rem;
        margin-top: calc(var(--vh, 1vh) * 3);
      }
      .content2 {
        font-size: 1.2rem;
      }
      .leading {
        line-height: calc(var(--vh, 1vh) * 2.8);
      }
      .back-btn{
        cursor: pointer;
        border: 1px solid #5D3307;
        color: #5D3307;
        font-size: 1.1rem;
        padding: 0.7rem 1.5rem;
        border-radius: 0.5rem;
        font-weight: 600;
        left: calc(50vw - 4rem);
        position: fixed;
        bottom: 40px;
        background: #F4DFAC;
      }
    }
    #copyright-notice{
      padding: calc(var(--vh, 1vh) * 3) 6vw;
      color: #5D3307;
      .title {
        font-size: 1.5rem;
        font-weight: 600;
      }
      .content {
        font-size: 1.2rem;
        margin-top: calc(var(--vh, 1vh) * 3);
      }
      .leading {
        line-height: calc(var(--vh, 1vh) * 2.8);
      }
      .back-btn{
        cursor: pointer;
        border: 1px solid #5D3307;
        color: #5D3307;
        font-size: 1.1rem;
        padding: 0.7rem 1.5rem;
        border-radius: 0.5rem;
        font-weight: 600;
        left: calc(50vw - 4rem);
        position: fixed;
        bottom: 40px;
        background: #F4DFAC;
      }
    }
    #disclaimer{
      padding: calc(var(--vh, 1vh) * 3) 6vw;
      color: #5D3307;
      .title {
        font-size: 1.5rem;
        font-weight: 600;
      }
      .content {
        font-size: 1.2rem;
        margin-top: calc(var(--vh, 1vh) * 3);
      }
      .leading {
        line-height: calc(var(--vh, 1vh) * 2.8);
      }
      .back-btn{
        cursor: pointer;
        border: 1px solid #5D3307;
        color: #5D3307;
        font-size: 1.1rem;
        padding: 0.7rem 1.5rem;
        border-radius: 0.5rem;
        font-weight: 600;
        left: calc(50vw - 4rem);
        position: fixed;
        bottom: 40px;
        background: #F4DFAC;
      }
    }
    #share-this-website{
      padding: calc(var(--vh, 1vh) * 3) 6vw;
      color: #5D3307;
      .title {
        font-size: 1.5rem;
        font-weight: 600;
      }
      .share {
        width: 78vw;
        margin: calc(var(--vh, 1vh) * 5) 0vw;
        text-align: center;
        .qrCode {
          padding: calc(var(--vh, 1vh) * 4) 10vw;
          border: 1px solid #CEBD92;
          border-radius: 0.5rem;
          background: rgba(255,255,255,0.5);
          img {
            height: 50vw;
          }
          div {
            font-size: 1.2rem;
            text-align: center;
          }
        }
      }
      .back-btn{
        cursor: pointer;
        border: 1px solid #5D3307;
        color: #5D3307;
        font-size: 1.1rem;
        padding: 0.7rem 1.5rem;
        border-radius: 0.5rem;
        font-weight: 600;
        left: calc(50vw - 4rem);
        position: fixed;
        bottom: 40px;
        background: #F4DFAC;
      }
    }
    #contact-us{
      padding: calc(var(--vh, 1vh) * 3) 6vw;
      color: #5D3307;
      .title {
        font-size: 1.5rem;
        font-weight: 600;
      }
      .content {
        font-size: 1.2rem;
        margin-top: calc(var(--vh, 1vh) * 3);
        img {
          width: 78vw;
        }
        .message {
          height: calc(var(--vh, 1vh) * 24);
          div {
            margin-left: 2vw;
            line-height: 3rem;
          }
        }
      }
      .back-btn{
        cursor: pointer;
        border: 1px solid #5D3307;
        color: #5D3307;
        font-size: 1.1rem;
        padding: 0.7rem 1.5rem;
        border-radius: 0.5rem;
        font-weight: 600;
        left: calc(50vw - 4rem);
        position: fixed;
        bottom: 40px;
        background: #F4DFAC;
      }
    }
    #m-card{
      padding: calc(var(--vh, 1vh) * 3) 6vw;
      color: #5D3307;
      overflow: hidden;
      overflow-y: auto;
      img {
        width: 100%;
      }
      .back-btn {
        cursor: pointer;
        border: 1px solid #5D3307;
        color: #5D3307;
        font-size: 1.1rem;
        padding: 0.7rem 1.5rem;
        border-radius: 0.5rem;
        font-weight: 600;
        left: calc(50vw - 4rem);
        position: fixed;
        bottom: 40px;
        background: #F4DFAC;
      }
    }
  }
  #m-bottom-links{
    width: 90vw;
    margin-left: 5vw;
    overflow-x: auto;
    margin-top: calc(var(--vh, 1vh) * 2);
    height: calc(var(--vh, 1vh) * 10);
    display: flex;
    img {
      height: calc(var(--vh, 1vh) * 8.5);
      border-radius: .3rem;
      border: 1px solid #876837;
      margin: 0 1vw;
    }
    .active {
      border-width: 2px;
    }
  }
  #m-bottom{
    position: fixed;
    bottom: 0;
    .banner-tabs {
      width: 100vw;
      display: flex;
      align-items: flex-end;
      flex-wrap: nowrap;
      flex-direction: row;
      justify-content: space-between;
      .banner-tab {
        font-size: 1.2rem;
        text-align: center;
        height: 30px;
        line-height: 30px;
        width: calc(100vw / 6);
        background: #9B7A44;
        border: 1px solid rgba(255, 255, 255, .2);
        border-bottom: none;
        color: #FFF;
      }
      .active {
        font-size: 1.4rem;
      }
    }
    .maximize{
      height: calc(var(--vh, 1vh) * 84.5) !important;
      margin: calc(var(--vh, 1vh) * 1.7) 5vw !important;
    }
    .maximize-child{
      height: calc(var(--vh, 1vh) * 84.5) !important;
    }
  }
}

.hidden {
  display: none !important;
}

.m-hidden {
  display: none !important;
}

.qr-code-container {
  background: rgba(0,0,0,.2);
  width: 100vw;
  height: 100vh;
  position: absolute;
  z-index: 99;
  display: flex;
  align-content: space-around;
  flex-wrap: wrap;
  justify-content: center;
}
